Bug 34680 - Enable dithering by default for 18-bit eDP panels
Enable dithering by default for 18-bit eDP panels
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/nouveau
unspecified
All Linux (All)
: medium minor
Assigned To: Nouveau Project
Xorg Project Team
:
Depends on:
Blocks: 33987
  Show dependency treegraph
 
Reported: 2011-02-24 13:26 UTC by Yuriy Khomchik
Modified: 2011-11-10 15:06 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
EDID file for eDP-1 (128 bytes, application/octet-stream)
2011-11-10 15:06 UTC, Patryk Zawadzki
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuriy Khomchik 2011-02-24 13:26:02 UTC
Please, enable dithering by default dor eDP panels (18 bits) such as was done for LVDS panels.

Thanks.
Comment 1 Ben Skeggs 2011-10-17 02:53:51 UTC
The code in nouveau git will now attempt to automatically determine whether it should enable dithering or not for a given display, so this should be resolved.

Please re-open if it doesn't work for you, with your dmesg output and the output of /sys/class/drm/card0-eDP-1/edid attached.

Thank you!
Comment 2 Patryk Zawadzki 2011-11-10 15:06:15 UTC
Created attachment 53385 [details]
EDID file for eDP-1

Not sure if F16 sports this patch so I'm attaching the EDIT file just in case.

This comes from a Dell XPS l702x.